## libayatana-appindicator 0.5.90

=== src/CMakeLists.txt ===
set(HEADERS
    app-indicator.h
)

set(SOURCES
    app-indicator.c
    app-indicator-enum-types.c
    application-service-marshal.c
    generate-id.c
    gen-notification-item.xml.c
    gen-notification-watcher.xml.c
)

if (FLAVOUR_GTK3)
    set (ayatana_appindicator_gtkver "ayatana-appindicator3")
    set (ayatana_appindicator_girver "AyatanaAppIndicator3")
    set (gtk_girver "Gtk-3.0")
elseif (FLAVOUR_GTK2)
    set (ayatana_appindicator_gtkver "ayatana-appindicator")
    set (ayatana_appindicator_girver "AyatanaAppIndicator")
    set (gtk_girver "Gtk-2.0")
endif()

install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/app-indicator.h" DESTINATION "${CMAKE_INSTALL_FULL_INCLUDEDIR}/lib${ayatana_appindicator_gtkver}-0.1/libayatana-appindicator")

# ayatana-appindicator{,3}-0.1.pc

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${ayatana_appindicator_gtkver}-0.1.pc.in" "${CMAKE_CURRENT_BINARY_DIR}/${ayatana_appindicator_gtkver}-0.1.pc" @ONLY)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${ayatana_appindicator_gtkver}-0.1.pc" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig")

# app-indicator-enum-types.h

find_program(GLIB_MKENUMS glib-mkenums)

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/app-indicator-enum-types.h"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND
    ${GLIB_MKENUMS}
    --template app-indicator-enum-types.h.in
    ${HEADERS}
    --output="${CMAKE_CURRENT_BINARY_DIR}/app-indicator-enum-types.h"
)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/app-indicator-enum-types.h" DESTINATION "${CMAKE_INSTALL_FULL_INCLUDEDIR}/lib${ayatana_appindicator_gtkver}-0.1/libayatana-appindicator")

# app-indicator-enum-types.c

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/app-indicator-enum-types.c"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/app-indicator-enum-types.h"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND
    ${GLIB_MKENUMS}
    --template app-indicator-enum-types.c.in
    ${HEADERS}
    --output="${CMAKE_CURRENT_BINARY_DIR}/app-indicator-enum-types.c"
)

find_program(GLIB_GENMARSHAL glib-genmarshal)

# application-service-marshal.h

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/application-service-marshal.h"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/app-indicator-enum-types.c"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND
    ${GLIB_GENMARSHAL}
    --prefix=_application_service_marshal
    --header application-service-marshal.list
    --quiet
    --output="${CMAKE_CURRENT_BINARY_DIR}/application-service-marshal.h"
)

# application-service-marshal.c

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/application-service-marshal.c"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/application-service-marshal.h"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND
    ${GLIB_GENMARSHAL}
    --prefix=_application_service_marshal
    --body application-service-marshal.list
    --include-header=application-service-marshal.h
    --quiet
    --output="${CMAKE_CURRENT_BINARY_DIR}/application-service-marshal.c"
)

# gen-notification-item.xml.h

file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/gen-notification-item.xml.h" "extern const char * _notification_item;")

# gen-notification-item.xml.c

file(READ "${CMAKE_CURRENT_SOURCE_DIR}/notification-item.xml" GEN_NOTIFICATION_ITEM_XML_C)
string(REPLACE "\"" "\\\"" GEN_NOTIFICATION_ITEM_XML_C ${GEN_NOTIFICATION_ITEM_XML_C})
string(REPLACE "\n" "\\n\"\n\"" GEN_NOTIFICATION_ITEM_XML_C ${GEN_NOTIFICATION_ITEM_XML_C})
string(REGEX REPLACE "\n\"$" "\n" GEN_NOTIFICATION_ITEM_XML_C ${GEN_NOTIFICATION_ITEM_XML_C})
string(PREPEND GEN_NOTIFICATION_ITEM_XML_C "const char * _notification_item = \n\"")
string(APPEND GEN_NOTIFICATION_ITEM_XML_C "\;")
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/gen-notification-item.xml.c" ${GEN_NOTIFICATION_ITEM_XML_C})

# gen-notification-watcher.xml.h

file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/gen-notification-watcher.xml.h" "extern const char * _notification_watcher;")

# gen-notification-watcher.xml.c

file(READ "${CMAKE_CURRENT_SOURCE_DIR}/notification-watcher.xml" GEN_NOTIFICATION_WATCHER_XML_C)
string(REPLACE "\"" "\\\"" GEN_NOTIFICATION_WATCHER_XML_C ${GEN_NOTIFICATION_WATCHER_XML_C})
string(REPLACE "\n" "\\n\"\n\"" GEN_NOTIFICATION_WATCHER_XML_C ${GEN_NOTIFICATION_WATCHER_XML_C})
string(REGEX REPLACE "\n\"$" "\n" GEN_NOTIFICATION_WATCHER_XML_C ${GEN_NOTIFICATION_WATCHER_XML_C})
string(PREPEND GEN_NOTIFICATION_WATCHER_XML_C "const char * _notification_watcher = \n\"")
string(APPEND GEN_NOTIFICATION_WATCHER_XML_C "\;")
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/gen-notification-watcher.xml.c" ${GEN_NOTIFICATION_WATCHER_XML_C})

# libayatana-appindicator{,3}.so

set_source_files_properties(${SOURCES} PROPERTIES COMPILE_FLAGS ${COMPILE_FLAGS})
add_library("${ayatana_appindicator_gtkver}" SHARED ${SOURCES})
set_target_properties("${ayatana_appindicator_gtkver}" PROPERTIES VERSION 1.0.0 SOVERSION 1)
target_compile_definitions("${ayatana_appindicator_gtkver}" PUBLIC G_LOG_DOMAIN="libayatana-appindicator")
target_include_directories("${ayatana_appindicator_gtkver}" PUBLIC ${PROJECT_DEPS_INCLUDE_DIRS})
target_include_directories("${ayatana_appindicator_gtkver}" PUBLIC ${CMAKE_CURRENT_BINARY_DIR})
target_include_directories("${ayatana_appindicator_gtkver}" PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
target_link_libraries("${ayatana_appindicator_gtkver}" ${PROJECT_DEPS_LIBRARIES})
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/lib${ayatana_appindicator_gtkver}.so" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/lib${ayatana_appindicator_gtkver}.so.1" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/lib${ayatana_appindicator_gtkver}.so.1.0.0" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}")

# AyatanaAppIndicator{,3}-0.1.gir

find_package(GObjectIntrospection REQUIRED)

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${ayatana_appindicator_girver}-0.1.gir"
    DEPENDS "${ayatana_appindicator_gtkver}"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND
    ${INTROSPECTION_SCANNER}
    app-indicator.c ${HEADERS}
    --add-include-path=${CMAKE_CURRENT_BINARY_DIR}
    --c-include=libayatana-appindicator/app-indicator.h
    --symbol-prefix=app
    --identifier-prefix=App
    --namespace=${ayatana_appindicator_girver}
    --nsversion=0.1
    --quiet
    --warn-all
    --include=GObject-2.0
    --include=${gtk_girver}
    --library-path=${CMAKE_CURRENT_BINARY_DIR}
    --library="${ayatana_appindicator_gtkver}"
    --output "${CMAKE_CURRENT_BINARY_DIR}/${ayatana_appindicator_girver}-0.1.gir"
)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${ayatana_appindicator_girver}-0.1.gir" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/gir-1.0")

# AyatanaAppIndicator{,3}-0.1.typelib

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${ayatana_appindicator_girver}-0.1.typelib"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/${ayatana_appindicator_girver}-0.1.gir"
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMAND
    ${INTROSPECTION_COMPILER}
    --includedir=${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}/${ayatana_appindicator_girver}-0.1.gir
    -o "${CMAKE_CURRENT_BINARY_DIR}/${ayatana_appindicator_girver}-0.1.typelib"
)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${ayatana_appindicator_girver}-0.1.typelib" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}/girepository-1.0")

add_custom_target(src ALL DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/${ayatana_appindicator_girver}-0.1.typelib")

=== bindings/mono/examples/CMakeLists.txt ===
# ayatana-indicator-example

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/ayatana-indicator-example.in" "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-example" @ONLY)

# AyatanaIndicatorExample.exe

find_program(MONO mono)

if (FLAVOUR_GTK3)
    add_custom_command(
        OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/AyatanaIndicatorExample.exe"
            DEPENDS "bindings-mono"
            WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
            COMMAND
            ${MCS}
            -out:"${CMAKE_CURRENT_BINARY_DIR}/AyatanaIndicatorExample.exe"
            -target:exe
            ${GTK_SHARP_3_0_LDFLAGS} "-r:${CMAKE_BINARY_DIR}/bindings/mono/ayatana-appindicator3-sharp.dll" "${CMAKE_CURRENT_SOURCE_DIR}/AyatanaIndicatorExample.cs"
        )
elseif (FLAVOUR_GTK2)
    add_custom_command(
        OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/AyatanaIndicatorExample.exe"
            DEPENDS "bindings-mono"
            WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
            COMMAND
            ${MCS}
            -out:"${CMAKE_CURRENT_BINARY_DIR}/AyatanaIndicatorExample.exe"
            -target:exe
            ${GTK_SHARP_2_0_LDFLAGS} "-r:${CMAKE_BINARY_DIR}/bindings/mono/ayatana-appindicator-sharp.dll" "${CMAKE_CURRENT_SOURCE_DIR}/AyatanaIndicatorExample.cs"
        )
endif()

add_custom_target("bindings-mono-examples" ALL DEPENDS "AyatanaIndicatorExample.exe")

=== bindings/vala/examples/CMakeLists.txt ===
# ayatana-indicator-example.c

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-example.c"
    DEPENDS "bindings-vala"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND
    ${VALA_COMPILER}
    --pkg ayatana-appindicator3-0.1
    --pkg gtk+-3.0
    --vapidir=${CMAKE_BINARY_DIR}/bindings/vala
    -C ayatana-indicator-example.vala
    --metadatadir "${CMAKE_SOURCE_DIR}/src"
    --directory=${CMAKE_CURRENT_BINARY_DIR}
    VERBATIM
    COMMAND
    sed
    -i "s|#include\\s*<\\s*libayatana-appindicator/app-indicator.h\\s*>||g"
    "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-example.c"
)

# ayatana-indicator-example

set_source_files_properties("${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-example.c" PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS} -include ${CMAKE_SOURCE_DIR}/src/app-indicator.h")
add_executable("ayatana-indicator-example" "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-example.c")
target_include_directories("ayatana-indicator-example" PUBLIC ${PROJECT_DEPS_INCLUDE_DIRS})
target_link_libraries("ayatana-indicator-example" "${PROJECT_DEPS_LIBRARIES} -layatana-appindicator3 -L${CMAKE_BINARY_DIR}/src")

## libayatana-appindicator 0.5.3

=== debian/changelog ===
libayatana-appindicator (0.5.3-3) unstable; urgency=medium

  * debian/control:
    + Add Ds for libgtk*-dev to libaytana-appindicator*-dev.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 22 Mar 2018 11:08:04 +0100

libayatana-appindicator (0.5.3-2) unstable; urgency=medium

  * debian/control:
    + Drop from Recommends: ayatana-indicator-application. The -application
      indicator should be pulled in from the desktop env's side that wants to
      utilize it (e.g. via the indicator-render applet). (Closes: #891927).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 20 Mar 2018 19:42:18 +0100

libayatana-appindicator (0.5.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Switch D (python-ayatana-appindicator) from python-gobject to
      python-gobject-2. (Closes: #890156).
    + Bump Standards-Version: to 4.1.3. No changes needed.
  * debian/{control,compat}:
    + Bump to DH version level 11.
  * debian/rules:
    + Don't set dpkg-architecture variable. Use dpkg/architecture.mk include
      file instead.
  * debian/libayatana-appindicator3-dev.examples:
    + Add Vala examples to bin:pkg.
  * debian/libayatana-appindicator0.1-cil.examples:
    + Add Mono/CLI examples to bin:pkg.
  * debian/copyright:
    + Use secure URI for copyright format reference.
  * debian/watch:
    + Use secure URL to obtain upstream sources.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 20 Mar 2018 11:48:38 +0100

libayatana-appindicator (0.5.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop all 100X series patches. All included in this upstream release.
  * debian/control:
    + Drop dh-autoreconf from B-D.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 26 Oct 2017 13:12:37 +0200

libayatana-appindicator (0.5.1-5) unstable; urgency=medium

  * debian/patches:
     + Add 0003-src-app-indicator.c-Avoid-usage-of-PATH_MAX-macro.-F.patch.
       Avoid usage of PATH_MAX. Fixes FTBFS on Debian GNU/Hurd.
  * debian/control:
    + Bump Standards-Version: to 4.1.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 06 Oct 2017 20:43:52 +0200

libayatana-appindicator (0.5.1-4) unstable; urgency=medium

  * debian/{control,rules}:
    + Fix upload problems due to negated architectures listed under
      debian/control's Architecture: field (which seems unsupported).
      Currently the following architectures have cli-mono support:
      amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64
      kfreebsd-i386 powerpc ppc64. So let's try to upload again...
      (Closes: #876803).
  * debian/patches:
    + Add 0001_fix-parallel-builds-in-mono-bindings.patch
    + Add 0002_fix-another-namespace-issue-in-python-bindings.patch
      ... both cherry-picked from upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 29 Sep 2017 14:33:15 +0200

libayatana-appindicator (0.5.1-3) unstable; urgency=medium

  * debian/{control,compat}:
    + Bump DH version level to 10 (and bump B-D to >= 10.3).
  * debian/control:
    + Exclude cli-mono bin:pkgs on architectures that cli-mono does not support.
      (Closes: #876803, hopefully).
  * debian/rules:
    + Switch from dh_install --fail-mising to dh_missing --fail-missing.
    + Don't run dh_install/dh_missing for cli-mono binding packages on
      non-supported architectures.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 26 Sep 2017 10:13:19 +0200

libayatana-appindicator (0.5.1-2) unstable; urgency=medium

  * debian/rules:
    + Adapt to excluding Mono/CLI bindings for various more architectures.
  * debian/control:
    + Bump versioned B-D on cli-common-dev to (>= 0.5.7).
    + Switch cli-mono section packages from arch:all to arch:any.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 23 Sep 2017 10:10:27 +0200

libayatana-appindicator (0.5.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #867512, #876493).
  * debian/control:
    + Avoid FTBFS due to missing Mono/CLI B-Ds for several more architectures
      (now: !arm64 !ppc64el !mips !mips64el !alpha !hppa !hurd-i386 !m68k
      !powerpcspe !sh4 !sparc64 !x32).
    + Bump Standards-Version: to 4.1.0 No changes needed.
  * debian/{control,copyright,watch}:
    + Update upstream URLs to new upstream project locations.

  * Upload to unstable.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 23 Sep 2017 01:29:46 +0200

libayatana-appindicator (0.5.0-1) experimental; urgency=medium

  * Initial release to Debian. (Closes: #863170).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 May 2017 23:33:41 +0200

=== debian/control ===
Source: libayatana-appindicator
Section: libs
Priority: optional
XS-Python-Version: all
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper (>= 11~),
               dh-python,
               dpkg-dev (>= 1.16.1.1),
               python-all-dev,
               at-spi2-core,
               cli-common-dev (>= 0.5.7) [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               gobject-introspection,
               intltool,
               gtk-doc-tools,
               libxml2-utils,
               libnunit-cil-dev [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               dbus-test-runner,
               xvfb,
               valac,
               mate-common,
               mono-devel (>= 2.4.3) [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               libglib2.0-dev (>= 2.35.4),
               libgtk-3-dev (>= 2.91.3),
               libgtk2.0-dev (>= 2.12.0),
               python-gtk2-dev,
               procps,
               gtk-sharp2-gapi [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               libgtk2.0-cil-dev [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               libdbus-glib-1-dev (>= 0.82),
               libayatana-indicator-dev (>= 0.6.0-0~),
               libayatana-indicator3-dev (>= 0.6.0-0~),
               libdbusmenu-glib-dev (>= 0.5.90),
               libdbusmenu-gtk-dev (>= 0.5.90),
               libdbusmenu-gtk3-dev (>= 0.5.90),
               libgirepository1.0-dev,
Standards-Version: 4.1.3
Homepage: https://github.com/AyatanaIndicators/libayatana-appindicator
Vcs-Git: https://anonscm.debian.org/git/pkg-ayatana/libayatana-appindicator.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-ayatana/libayatana-appindicator.git

Package: python-ayatana-appindicator
Section: python
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         libayatana-appindicator1 (= ${binary:Version}),
         python-gobject-2,
Provides: ${python:Provides},
Description: Python bindings for libayatana-appindicator (GTK-2+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package provides Python (v2) bindings against python-gtk2 so that
 you can use libayatana-appindicator from a Python program.

Package: libayatana-appindicator1
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Ayatana Application Indicators (GTK-2+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains shared libraries to be used by applications compiled
 against GTK-2+.

Package: gir1.2-ayatanaappindicator-0.1
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         ${gir:Depends},
Description: Typelib files for libayatana-appindicator1 (GTK-2+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings (GTK-2+ version).

Package: libayatana-appindicator-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgtk2.0-dev,
         gir1.2-ayatanaappindicator-0.1 (= ${binary:Version}),
         libdbusmenu-glib-dev (>= 0.1.8),
         libdbus-glib-1-dev (>= 0.76),
         libayatana-appindicator1 (= ${binary:Version}),
Description: Ayatana Application Indicators (development files, GTK-2+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains files that are needed to build applications
 (GTK-2+ version).

Package: libayatana-appindicator-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Description: Ayatana Application Indicators (documentation files, GTK-2+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains developer documentation (GTK-2+ version).

Package: libayatana-appindicator3-1
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Ayatana Application Indicators (GTK-3+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains shared libraries to be used by applications compiled
 against GTK-3+.

Package: libayatana-appindicator3-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-ayatanaappindicator3-0.1 (= ${binary:Version}),
         libgtk-3-dev,
         libdbusmenu-glib-dev (>= 0.1.8),
         libdbus-glib-1-dev (>= 0.76),
         libayatana-appindicator3-1 (= ${binary:Version}),
Description: Ayatana Application Indicators (development files, GTK-3+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains files that are needed to build applications
 (GTK-3+ version).

Package: gir1.2-ayatanaappindicator3-0.1
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         ${gir:Depends},
Description: Typelib files for libayatana-appindicator3-1 (GTK-3+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings (GTK-3+ version).

Package: libayatana-appindicator0.1-cil
Section: cli-mono
Architecture: amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
Description: CLI bindings for libayatana-appindicator
 This package provides the appindicator-sharp assembly that allows CLI (.NET)
 programs to take menus from applications and place them in the panel.
 .
 This package contains assemblies to be used by Mono applications.

Package: libayatana-appindicator0.1-cil-dev
Section: cli-mono
Architecture: amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
         libayatana-appindicator0.1-cil (= ${binary:Version}),
Description: Application Indicators for Mono
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains files that are needed to build applications.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

FLAVORS = gtk2 gtk3

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

PY_VERSIONS = $(shell pyversions --requested debian/control)
API_VERSION = 0.1

CONFIGURE_COMMON_FLAGS = --disable-scrollkeeper --enable-introspection
ifeq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64))
  CONFIGURE_COMMON_FLAGS += --disable-mono-test
else
  dh_extra_args = ,cli
endif
CONFIGURE_FLAGS_gtk2 = --with-gtk=2 --enable-gtk-doc
CONFIGURE_FLAGS_gtk3 = --with-gtk=3 --enable-gtk-doc=no

export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

CFLAGS += -fPIC

%:
	dh $@ --with autoreconf,python2,gir$(dh_extra_args)

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

override_dh_auto_configure: $(FLAVORS:%=doconfigure-%)

doconfigure-%:
	dh_auto_configure --builddirectory=build/$* -- $(CONFIGURE_FLAGS_$*) $(CONFIGURE_COMMON_FLAGS)

doconfigure-gtk2: $(PY_VERSIONS:%=doconfiguregtk2-%)
	# GTK2 flavor configure was run on a per-python-version basis.

doconfiguregtk2-%:
	PYTHON=`which $*` \
		dh_auto_configure --builddirectory=build/gtk2 -- $(CONFIGURE_FLAGS_gtk2) $(CONFIGURE_COMMON_FLAGS)

override_dh_auto_build: $(FLAVORS:%=dobuild-%)

dobuild-%:
	dh_auto_build --builddirectory=build/$*

dobuild-gtk2: $(PY_VERSIONS:%=dobuildgtk2-%)
	# GTK2 flavor build was run on a per-python-version basis.

dobuildgtk2-%:
	PYTHON=`which $*` \
		dh_auto_build --builddirectory=build/gtk2

override_dh_auto_install: $(FLAVORS:%=doinstall-%)

doinstall-%:
	dh_auto_install --builddirectory=build/$* --destdir=debian/tmp/$*

override_dh_install:
	find debian/tmp -name \*.la -exec rm {} \;
	find debian/tmp -name \*.a -exec rm {} \;
	rm -rf debian/tmp/*/usr/lib/mono
	rm -rf debian/tmp/*/usr/share/vala/vapi/ayatana-appindicator*-0.1.deps

	dh_install -ppython-ayatana-appindicator --sourcedir=debian/tmp/gtk2
	dh_install -plibayatana-appindicator1 --sourcedir=debian/tmp/gtk2
	dh_install -pgir1.2-ayatanaappindicator-0.1 --sourcedir=debian/tmp/gtk2
	dh_install -plibayatana-appindicator-dev --sourcedir=debian/tmp/gtk2
	dh_install -plibayatana-appindicator-doc --sourcedir=debian/tmp/gtk2
	dh_install -plibayatana-appindicator3-1 --sourcedir=debian/tmp/gtk3
	dh_install -plibayatana-appindicator3-dev --sourcedir=debian/tmp/gtk3
	dh_install -pgir1.2-ayatanaappindicator3-0.1 --sourcedir=debian/tmp/gtk3

	if echo amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64 | grep -q $(DEB_HOST_ARCH); then \
	    dh_install -plibayatana-appindicator0.1-cil --sourcedir=debian/tmp/gtk2; \
	    dh_install -plibayatana-appindicator0.1-cil-dev --sourcedir=debian/tmp/gtk2; \
	fi

	dh_missing -ppython-ayatana-appindicator --fail-missing --sourcedir=debian/tmp/gtk2
	dh_missing -plibayatana-appindicator1 --fail-missing --sourcedir=debian/tmp/gtk2
	dh_missing -pgir1.2-ayatanaappindicator-0.1 --fail-missing --sourcedir=debian/tmp/gtk2
	dh_missing -plibayatana-appindicator-dev --fail-missing --sourcedir=debian/tmp/gtk2
	dh_missing -plibayatana-appindicator-doc --fail-missing --sourcedir=debian/tmp/gtk2
	dh_missing -plibayatana-appindicator3-1 --fail-missing --sourcedir=debian/tmp/gtk3
	dh_missing -plibayatana-appindicator3-dev --fail-missing --sourcedir=debian/tmp/gtk3
	dh_missing -pgir1.2-ayatanaappindicator3-0.1 --fail-missing --sourcedir=debian/tmp/gtk3
	if echo amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64 | grep -q $(DEB_HOST_ARCH); then \
	    dh_missing -plibayatana-appindicator0.1-cil --fail-missing --sourcedir=debian/tmp/gtk2; \
	    dh_missing -plibayatana-appindicator0.1-cil-dev --fail-missing --sourcedir=debian/tmp/gtk2; \
	fi

override_dh_auto_test: $(FLAVORS:%=dotest-%)

dotest-%:
	mkdir -p $(CURDIR)/debian/tmphome
	HOME=$(CURDIR)/debian/tmphome dh_auto_test dh_auto_test --builddirectory=build/$* -- || true
	# View test's log file for better debugging of problems when built in clean chroots.
	if [ -e build/$*/tests/test-suite.log ]; then cat build/$*/tests/test-suite.log; fi
	rm -Rf $(CURDIR)/debian/tmphome


dotest-gtk2: $(PY_VERSIONS:%=dotestgtk2-%)
	# GTK2 flavor test was run on a per-python-version basis.

dotestgtk2-%:
	mkdir -p $(CURDIR)/debian/tmphome
	PYTHON=`which $*` \
		HOME=$(CURDIR)/debian/tmphome dh_auto_test --builddirectory=build/gtk2 -- || true
	# View test's log file for better debugging of problems when built in clean chroots.
	if [ -e build/gtk2/tests/test-suite.log ]; then cat build/gtk2/tests/test-suite.log; fi
	rm -Rf $(CURDIR)/debian/tmphome

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## libayatana-appindicator 0.5.3-3%2B8.0trisquel1

=== debian/changelog ===
libayatana-appindicator (0.5.3-3+8.0trisquel1) flidas; urgency=medium

  * Backported from bionic

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 26 Mar 2020 16:16:18 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 10~),
                dh-python,
                dpkg-dev (>= 1.16.1.1),
                python-all-dev,

=== debian/rules ===
--- 
+++ 
@@ -79,18 +79,6 @@
 	    dh_install -plibayatana-appindicator0.1-cil-dev --sourcedir=debian/tmp/gtk2; \
 	fi
 
-	dh_missing -ppython-ayatana-appindicator --fail-missing --sourcedir=debian/tmp/gtk2
-	dh_missing -plibayatana-appindicator1 --fail-missing --sourcedir=debian/tmp/gtk2
-	dh_missing -pgir1.2-ayatanaappindicator-0.1 --fail-missing --sourcedir=debian/tmp/gtk2
-	dh_missing -plibayatana-appindicator-dev --fail-missing --sourcedir=debian/tmp/gtk2
-	dh_missing -plibayatana-appindicator-doc --fail-missing --sourcedir=debian/tmp/gtk2
-	dh_missing -plibayatana-appindicator3-1 --fail-missing --sourcedir=debian/tmp/gtk3
-	dh_missing -plibayatana-appindicator3-dev --fail-missing --sourcedir=debian/tmp/gtk3
-	dh_missing -pgir1.2-ayatanaappindicator3-0.1 --fail-missing --sourcedir=debian/tmp/gtk3
-	if echo amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64 | grep -q $(DEB_HOST_ARCH); then \
-	    dh_missing -plibayatana-appindicator0.1-cil --fail-missing --sourcedir=debian/tmp/gtk2; \
-	    dh_missing -plibayatana-appindicator0.1-cil-dev --fail-missing --sourcedir=debian/tmp/gtk2; \
-	fi
 
 override_dh_auto_test: $(FLAVORS:%=dotest-%)

## libayatana-appindicator 0.5.4

=== debian/changelog ===
libayatana-appindicator (0.5.4-2) unstable; urgency=medium

  * debian/rules:
    + Stop using pyversions. Drop concept of Py2.x specific GTK-2 builds.
      (Closes: #949179).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 25 Jan 2020 11:44:35 +0100

libayatana-appindicator (0.5.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump to DH compat level version 12.
  * debian/{control,rules,*}:
    + Drop Python2 bindings support. Drop bin:pkg python-ayatana-appindicator.
      (Closes: #912959, #936843).
  * debian/patches:
    + Add 2002_drop-python2-code.patch: Don't build anything Python2 related.
  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to "no".
  * debian/libayatana-appindicator*.symbols:
    + Add Build-Depends-Package: metadata field.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 11 Nov 2019 20:13:44 +0100

libayatana-appindicator (0.5.3-4) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.2.0. No changes needed.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Aug 2018 19:18:49 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,8 @@
 Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: debhelper (>= 10~),
-               dh-python,
+Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1.1),
-               python-all-dev,
                at-spi2-core,
                cli-common-dev (>= 0.5.7) [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
                gobject-introspection,
@@ -24,7 +22,6 @@
                libglib2.0-dev (>= 2.35.4),
                libgtk-3-dev (>= 2.91.3),
                libgtk2.0-dev (>= 2.12.0),
-               python-gtk2-dev,
                procps,
                gtk-sharp2-gapi [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
                libgtk2.0-cil-dev [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
@@ -35,27 +32,11 @@
                libdbusmenu-gtk-dev (>= 0.5.90),
                libdbusmenu-gtk3-dev (>= 0.5.90),
                libgirepository1.0-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/libayatana-appindicator
-Vcs-Git: https://anonscm.debian.org/git/pkg-ayatana/libayatana-appindicator.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ayatana/libayatana-appindicator.git
-
-Package: python-ayatana-appindicator
-Section: python
-Architecture: any
-XB-Python-Version: ${python:Versions}
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${python:Depends},
-         libayatana-appindicator1 (= ${binary:Version}),
-         python-gobject-2,
-Provides: ${python:Provides},
-Description: Python bindings for libayatana-appindicator (GTK-2+ version)
- A library and indicator to take menus from applications and place them in
- the panel.
- .
- This package provides Python (v2) bindings against python-gtk2 so that
- you can use libayatana-appindicator from a Python program.
+Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libayatana-appindicator.git
+Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/libayatana-appindicator
 
 Package: libayatana-appindicator1
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-PY_VERSIONS = $(shell pyversions --requested debian/control)
 API_VERSION = 0.1
 
 CONFIGURE_COMMON_FLAGS = --disable-scrollkeeper --enable-introspection
@@ -25,7 +24,7 @@
 CFLAGS += -fPIC
 
 %:
-	dh $@ --with autoreconf,python2,gir$(dh_extra_args)
+	dh $@ --with autoreconf,gir$(dh_extra_args)
 
 override_dh_autoreconf:
 	NOCONFIGURE=1 dh_autoreconf ./autogen.sh
@@ -35,24 +34,10 @@
 doconfigure-%:
 	dh_auto_configure --builddirectory=build/$* -- $(CONFIGURE_FLAGS_$*) $(CONFIGURE_COMMON_FLAGS)
 
-doconfigure-gtk2: $(PY_VERSIONS:%=doconfiguregtk2-%)
-	# GTK2 flavor configure was run on a per-python-version basis.
-
-doconfiguregtk2-%:
-	PYTHON=`which $*` \
-		dh_auto_configure --builddirectory=build/gtk2 -- $(CONFIGURE_FLAGS_gtk2) $(CONFIGURE_COMMON_FLAGS)
-
 override_dh_auto_build: $(FLAVORS:%=dobuild-%)
 
 dobuild-%:
 	dh_auto_build --builddirectory=build/$*
-
-dobuild-gtk2: $(PY_VERSIONS:%=dobuildgtk2-%)
-	# GTK2 flavor build was run on a per-python-version basis.
-
-dobuildgtk2-%:
-	PYTHON=`which $*` \
-		dh_auto_build --builddirectory=build/gtk2
 
 override_dh_auto_install: $(FLAVORS:%=doinstall-%)
 
@@ -65,7 +50,6 @@
 	rm -rf debian/tmp/*/usr/lib/mono
 	rm -rf debian/tmp/*/usr/share/vala/vapi/ayatana-appindicator*-0.1.deps
 
-	dh_install -ppython-ayatana-appindicator --sourcedir=debian/tmp/gtk2
 	dh_install -plibayatana-appindicator1 --sourcedir=debian/tmp/gtk2
 	dh_install -pgir1.2-ayatanaappindicator-0.1 --sourcedir=debian/tmp/gtk2
 	dh_install -plibayatana-appindicator-dev --sourcedir=debian/tmp/gtk2
@@ -79,6 +63,17 @@
 	    dh_install -plibayatana-appindicator0.1-cil-dev --sourcedir=debian/tmp/gtk2; \
 	fi
 
+	dh_missing -plibayatana-appindicator1 --fail-missing --sourcedir=debian/tmp/gtk2
+	dh_missing -pgir1.2-ayatanaappindicator-0.1 --fail-missing --sourcedir=debian/tmp/gtk2
+	dh_missing -plibayatana-appindicator-dev --fail-missing --sourcedir=debian/tmp/gtk2
+	dh_missing -plibayatana-appindicator-doc --fail-missing --sourcedir=debian/tmp/gtk2
+	dh_missing -plibayatana-appindicator3-1 --fail-missing --sourcedir=debian/tmp/gtk3
+	dh_missing -plibayatana-appindicator3-dev --fail-missing --sourcedir=debian/tmp/gtk3
+	dh_missing -pgir1.2-ayatanaappindicator3-0.1 --fail-missing --sourcedir=debian/tmp/gtk3
+	if echo amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64 | grep -q $(DEB_HOST_ARCH); then \
+	    dh_missing -plibayatana-appindicator0.1-cil --fail-missing --sourcedir=debian/tmp/gtk2; \
+	    dh_missing -plibayatana-appindicator0.1-cil-dev --fail-missing --sourcedir=debian/tmp/gtk2; \
+	fi
 
 override_dh_auto_test: $(FLAVORS:%=dotest-%)
 
@@ -89,18 +84,6 @@
 	if [ -e build/$*/tests/test-suite.log ]; then cat build/$*/tests/test-suite.log; fi
 	rm -Rf $(CURDIR)/debian/tmphome
 
-
-dotest-gtk2: $(PY_VERSIONS:%=dotestgtk2-%)
-	# GTK2 flavor test was run on a per-python-version basis.
-
-dotestgtk2-%:
-	mkdir -p $(CURDIR)/debian/tmphome
-	PYTHON=`which $*` \
-		HOME=$(CURDIR)/debian/tmphome dh_auto_test --builddirectory=build/gtk2 -- || true
-	# View test's log file for better debugging of problems when built in clean chroots.
-	if [ -e build/gtk2/tests/test-suite.log ]; then cat build/gtk2/tests/test-suite.log; fi
-	rm -Rf $(CURDIR)/debian/tmphome
-
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf build

## libayatana-appindicator 0.5.5

=== debian/changelog ===
libayatana-appindicator (0.5.5-2) unstable; urgency=medium

  * debian/rules:
    + Clean up some files, that upstream should handle, in fact.
    + Run gtk-doc during GTK-3 builds (not GTK-2).
    + Fix arch:all-only builds (dpkg-buildpackage -A).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 21 Aug 2020 20:06:13 +0000

libayatana-appindicator (0.5.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 2002_drop-python2-code.patch. Resolved upstream.
  * debian/control:
    + Improve description of bin:pkg libayatana-appindicator0.1-cil-dev.
    + Fix version of B-D cli-common-dev ( (>= 0.5.7)  --> (>= 0.8~) ).
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Bump DH compat level to version 13.
    + Drop D libdbus-glib-1-dev from libayatana-appindicator-dev and
      libayatana-appindicator3-dev. (Closes: #954105).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Jul 2020 07:32:42 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1.1),
                at-spi2-core,
-               cli-common-dev (>= 0.5.7) [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
+               cli-common-dev (>= 0.8~) [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
                gobject-introspection,
                intltool,
                gtk-doc-tools,
@@ -32,7 +32,7 @@
                libdbusmenu-gtk-dev (>= 0.5.90),
                libdbusmenu-gtk3-dev (>= 0.5.90),
                libgirepository1.0-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/libayatana-appindicator
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libayatana-appindicator.git
@@ -69,7 +69,6 @@
          libgtk2.0-dev,
          gir1.2-ayatanaappindicator-0.1 (= ${binary:Version}),
          libdbusmenu-glib-dev (>= 0.1.8),
-         libdbus-glib-1-dev (>= 0.76),
          libayatana-appindicator1 (= ${binary:Version}),
 Description: Ayatana Application Indicators (development files, GTK-2+ version)
  A library and indicator to take menus from applications and place them in
@@ -107,7 +106,6 @@
          gir1.2-ayatanaappindicator3-0.1 (= ${binary:Version}),
          libgtk-3-dev,
          libdbusmenu-glib-dev (>= 0.1.8),
-         libdbus-glib-1-dev (>= 0.76),
          libayatana-appindicator3-1 (= ${binary:Version}),
 Description: Ayatana Application Indicators (development files, GTK-3+ version)
  A library and indicator to take menus from applications and place them in
@@ -147,8 +145,8 @@
          ${misc:Depends},
          ${cli:Depends},
          libayatana-appindicator0.1-cil (= ${binary:Version}),
-Description: Application Indicators for Mono
+Description: Ayatana Application Indicators for Mono
  A library and indicator to take menus from applications and place them in
  the panel.
  .
- This package contains files that are needed to build applications.
+ This package contains files that are needed to build Mono applications.

=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,8 @@
 else
   dh_extra_args = ,cli
 endif
-CONFIGURE_FLAGS_gtk2 = --with-gtk=2 --enable-gtk-doc
-CONFIGURE_FLAGS_gtk3 = --with-gtk=3 --enable-gtk-doc=no
+CONFIGURE_FLAGS_gtk2 = --with-gtk=2 --enable-gtk-doc=no
+CONFIGURE_FLAGS_gtk3 = --with-gtk=3 --enable-gtk-doc
 
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 
@@ -44,16 +44,16 @@
 doinstall-%:
 	dh_auto_install --builddirectory=build/$* --destdir=debian/tmp/$*
 
-override_dh_install:
+override_dh_install-arch:
 	find debian/tmp -name \*.la -exec rm {} \;
 	find debian/tmp -name \*.a -exec rm {} \;
 	rm -rf debian/tmp/*/usr/lib/mono
 	rm -rf debian/tmp/*/usr/share/vala/vapi/ayatana-appindicator*-0.1.deps
 
+
 	dh_install -plibayatana-appindicator1 --sourcedir=debian/tmp/gtk2
 	dh_install -pgir1.2-ayatanaappindicator-0.1 --sourcedir=debian/tmp/gtk2
 	dh_install -plibayatana-appindicator-dev --sourcedir=debian/tmp/gtk2
-	dh_install -plibayatana-appindicator-doc --sourcedir=debian/tmp/gtk2
 	dh_install -plibayatana-appindicator3-1 --sourcedir=debian/tmp/gtk3
 	dh_install -plibayatana-appindicator3-dev --sourcedir=debian/tmp/gtk3
 	dh_install -pgir1.2-ayatanaappindicator3-0.1 --sourcedir=debian/tmp/gtk3
@@ -63,10 +63,10 @@
 	    dh_install -plibayatana-appindicator0.1-cil-dev --sourcedir=debian/tmp/gtk2; \
 	fi
 
+override_dh_missing-arch:
 	dh_missing -plibayatana-appindicator1 --fail-missing --sourcedir=debian/tmp/gtk2
 	dh_missing -pgir1.2-ayatanaappindicator-0.1 --fail-missing --sourcedir=debian/tmp/gtk2
 	dh_missing -plibayatana-appindicator-dev --fail-missing --sourcedir=debian/tmp/gtk2
-	dh_missing -plibayatana-appindicator-doc --fail-missing --sourcedir=debian/tmp/gtk2
 	dh_missing -plibayatana-appindicator3-1 --fail-missing --sourcedir=debian/tmp/gtk3
 	dh_missing -plibayatana-appindicator3-dev --fail-missing --sourcedir=debian/tmp/gtk3
 	dh_missing -pgir1.2-ayatanaappindicator3-0.1 --fail-missing --sourcedir=debian/tmp/gtk3
@@ -74,6 +74,11 @@
 	    dh_missing -plibayatana-appindicator0.1-cil --fail-missing --sourcedir=debian/tmp/gtk2; \
 	    dh_missing -plibayatana-appindicator0.1-cil-dev --fail-missing --sourcedir=debian/tmp/gtk2; \
 	fi
+
+override_dh_install-indep:
+	dh_install -plibayatana-appindicator-doc --sourcedir=debian/tmp/gtk3
+
+override_dh_missing-indep:
 
 override_dh_auto_test: $(FLAVORS:%=dotest-%)
 
@@ -86,7 +91,13 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -rf build
+	rm -rf build/
+	rm -f gtk-doc.make
+	rm -f ltmain.sh
+	rm -f m4/gtk-doc.m4
+	rm -f m4/libtool.m4
+	rm -f omf.make
+	rm -f xmldocs.make
 
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..
